Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1926799 - Require python3-lark-parser, python3-requests
Summary: Require python3-lark-parser, python3-requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: charliecloud
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: jogas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-09 13:37 UTC by Dave Love
Modified: 2021-02-24 19:55 UTC (History)
2 users (show)

Fixed In Version: charliecloud-0.22-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 19:55:44 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
patch for python3-lark-parser, python3-requests (deleted)
2021-02-09 13:37 UTC, Dave Love
no flags Details | Diff

Description Dave Love 2021-02-09 13:37:43 UTC
Created attachment 1755939 [details]
patch for python3-lark-parser, python3-requests

Description of problem:

I guess the package should require the lark-parser and requests python modules that are looked for by configure and are packaged.
Patch attached (build checked on el7 and rawhide).

Comment 1 jogas 2021-02-09 20:42:25 UTC
Good catch. 0.22 was released yesterday and I have included these changes in the candidate builds for 33, 32, el7 and el8. Note that I don't seem able to stage builds to rawhide anymore (fedpkg error: Could not execute build: Unknown build target: rawhide-candidate). Not sure why but I haven't had time to sleuth the issue.

Anyway, I'll reference this bug when I create the update for 0.22.

Comment 2 Fedora Update System 2021-02-09 20:53:02 UTC
FEDORA-EPEL-2021-1d6f5c3eb0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-1d6f5c3eb0

Comment 3 Fedora Update System 2021-02-09 20:53:03 UTC
FEDORA-2021-edc2d62a1a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-edc2d62a1a

Comment 4 Fedora Update System 2021-02-09 21:02:39 UTC
FEDORA-EPEL-2021-ec7f0ad838 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ec7f0ad838

Comment 5 Fedora Update System 2021-02-10 01:55:30 UTC
FEDORA-EPEL-2021-ec7f0ad838 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ec7f0ad838

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-02-24 19:55:44 UTC
FEDORA-EPEL-2021-ec7f0ad838 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.